Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class ParameterSetImpl

    java.lang.Object
      org.jasig.portal.container.om.common.ParameterSetImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.ParameterSet, org.apache.pluto.om.common.ParameterSetCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class ParameterSetImpl

extends java.lang.Object
implements org.apache.pluto.om.common.ParameterSet, org.apache.pluto.om.common.ParameterSetCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.util.Map` | `parameters`

Constructor Summary
`ParameterSetImpl()`

Method Summary
`void` | `add(org.apache.pluto.om.common.Parameter parameter)`
`org.apache.pluto.om.common.Parameter` | `add(java.lang.String name, java.lang.String value)`
`org.apache.pluto.om.common.Parameter` | `get(java.lang.String name)`
`java.util.Iterator` | `iterator()`
`void` | `remove(org.apache.pluto.om.common.Parameter parameter)`
`org.apache.pluto.om.common.Parameter` | `remove(java.lang.String name)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    private java.util.Map parameters

Constructor Detail

### ParameterSetImpl

    public ParameterSetImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.common.ParameterSet`

### get

    public org.apache.pluto.om.common.Parameter get(java.lang.String name)

  Specified by:
    `get` in interface `org.apache.pluto.om.common.ParameterSet`

### add

    public org.apache.pluto.om.common.Parameter add(java.lang.String name,
                                                    java.lang.String value)

  Specified by:
    `add` in interface `org.apache.pluto.om.common.ParameterSetCtrl`

### remove

    public org.apache.pluto.om.common.Parameter remove(java.lang.String name)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.ParameterSetCtrl`

### remove

    public void remove(org.apache.pluto.om.common.Parameter parameter)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.ParameterSetCtrl`

### add

    public void add(org.apache.pluto.om.common.Parameter parameter)

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD